Bug 994851 - nfs + posix: posix compliance test fails
nfs + posix: posix compliance test fails
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nfs (Show other bugs)
2.1
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Niels de Vos
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 02:29 EDT by Saurabh
Modified: 2016-01-19 01:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:13:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-08-08 02:29:43 EDT
Description of problem:

executing posix compliance test over nfs mount fails,

Version-Release number of selected component (if applicable):
[root@nfs1 ~]# rpm -qa | grep glusterfs
glusterfs-api-3.4.0.17rhs-1.el6rhs.x86_64
glusterfs-3.4.0.17rhs-1.el6rhs.x86_64
glusterfs-geo-replication-3.4.0.17rhs-1.el6rhs.x86_64
glusterfs-libs-3.4.0.17rhs-1.el6rhs.x86_64
samba-glusterfs-3.6.9-156.2.el6rhs.x86_64
glusterfs-fuse-3.4.0.17rhs-1.el6rhs.x86_64
glusterfs-server-3.4.0.17rhs-1.el6rhs.x86_64
glusterfs-rdma-3.4.0.17rhs-1.el6rhs.x86_64


How reproducible:
always

Steps to Reproduce:
1. create a volume of 6x2, start it
2. mount the volume over nfs
3. enable quota
4. start posix test 

Actual results:
[root@rhsauto030 nfs-test]# time /opt/qa/tools/pjd-fstest-20080816/tests/rename/05.t 
1..17
ok 1
ok 2
ok 3
ok 4
ok 5
ok 6
ok 7
ok 8
ok 9
not ok 10
I am here
ok 11
not ok 12
ok 13
not ok 14
ok 15
not ok 16
not ok 17

real    0m0.460s
user    0m0.067s
sys     0m0.195s


Expected results:

rename test should pass

Additional info:
Comment 4 rjoseph 2013-08-14 05:36:26 EDT
Tested master and glusterfs-3.4.0.17rhs-1.el6rhs.x86_64 and posix rename test (05.t) is passing in my setup.

Due to lack of VM I tested this in a 2x1 volume setup. This test is done without enabling quota. 

Let me know if you can reproduce this bug in your setup.
Comment 7 Vivek Agarwal 2015-12-03 12:13:13 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.